TARGET=C:\NWLITE\CLIENT.EXE
LIST
    print "RECONFIX.PAT - NetWare Lite Client reconnect patch, German version.\n"
VERIFY
    va = search ( 8B D8 90 90 90 90 80 BF 40 0D
                  FF 75 EB checksum 78E )
    vc = search ( 8B D8 90 90 90 90 80 BF 40 0D
                  FF 75 D0 checksum 773 )
    ve = search ( FF 00 00 FF 00 00 FF FF
                  FF 00 FF FF FF FF FF FF
                  FF 00 FF 00 00 00 00 00
                  00 00 00 FF 00 00 00 00
                  FF 00 FF FF 00 00 00 00
                  00 00 00 00 00 00 00 00 checksum 10EF)
    vg = search ( E9 E8 EB 90 90 90 90 26 38 45
                  1F 75 05 checksum 638 )
    if ((va=2388) AND (vc=25F9) AND (ve=38D0) AND (vg=165E)) then
        print "  $TARGET already contains patch RECONFIX.PAT.\n"
        stop
    else
        print "  $TARGET does not contain patch RECONFIX.PAT.\n"
    endif
APPLY
    print "  Applying patch RECONFIX.PAT to $TARGET...\n"
    vb = search ( 32 FF 8A 1E EE 00 80 BF 40 0D
                  FF 75 EB checksum 6B2 )
    vd = search ( 32 FF 8A 1E EE 00 80 BF 40 0D
                  FF 75 D0 checksum 697 )
    vf = search ( 00 FF 00 FF 00 FF 00 00
                  00 00 00 00 00 00 00 00
                  00 FF 00 FF 00 00 FF FF
                  00 00 00 FF 00 00 00 00
                  00 00 00 00 00 00 00 00
                  00 00 00 00 00 00 FF 00 checksum 8F7 )
    vh = search ( 26 F6 45 06 80 74 0B 26 38 45
                  1F 75 05 checksum 3A2 )
    if ((vb=2388) AND (vd=25F9) AND (vf=38D0) AND (vh=165E)) then
       patch 2388       ( 8B D8 90 90 90 90  checksum 3A3 )
       patch 25F9       ( 8B D8 90 90 90 90  checksum 3A3 )
       patch 38D0       ( FF 00 00 FF 00 00 FF FF
                          FF 00 FF FF FF FF FF FF
                          FF 00 FF 00 00 00 00 00
                          00 00 00 FF 00 00 00 00
                          FF 00 FF FF 00 00 00 00
                          00 00 00 00 00 00 00 00 checksum 10EF)
       patch 165E       ( E9 E8 EB 90 90 90 90 26 38 45
                          1F 75 05 checksum 638 )
       patch 0249       ( 26 F6 45 06 80 74 0A 26
                          F6 45 05 80 75 03 E9 0B   
                          14 E9 13 14 checksum 6DB)
        write
        print "  $TARGET now contains patch RECONFIX.PAT.\n"
        stop
    else
        print "  Could not find pattern indicating that $TARGET\n"
        print "  needs this patch.  Make sure you are using this\n"
        print "  patch with NetWare Lite CLIENT.EXE, German version 1.1.\n"
        stop
    endif

